#include "CoreSortingWidget.h"
#include "ESortingOrder.h"
#include "ESortingOption.h"

class UCoreButtonWidget;

ESortingOrder UCoreSortingWidget::ToggleSortingOrder()
{
	return ESortingOrder::Descending;
}

void UCoreSortingWidget::OnPreviousSortingOptionClick(UCoreButtonWidget* buttonTarget)
{

}

void UCoreSortingWidget::OnNextSortingOptionClick(UCoreButtonWidget* buttonTarget)
{

}

bool UCoreSortingWidget::IsOptionEnabled(ESortingOption option) const
{
	return false;
}

UCoreSortingWidget::UCoreSortingWidget()
{
	this->_sortingOptions = 0;
	this->_sortingTooltipText = FText::GetEmpty();
}
